com.h3c.sdn.api

## Interface ApplicationTransferService

-     public interface ApplicationTransferService

  Basic service for transportation of application data and the manipulation or operations on installed applications between team members.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Application>` | `getApplications(SystemInformation system)` Get list of applications from a team member.
    `InputStream` | `getArchive(SystemInformation system, String appId)` Get an application archive file from a team member.
    `void` | `install(String appId)` Install an uploaded application on a team member given the id.
    `void` | `redeploy(String appId)` Re-deploy an existing application in a team.
    `void` | `start(String appId)` Start an application on a team member given the id.
    `void` | `stop(String appId)` Start an application on a team member given the id.
    `void` | `uninstall(String appId)` Un-install an application on a team member given the id.
    `void` | `upload(File appArchive, String filename)` Upload an application archive to a team member.

- - ### Method Detail

    - #### getApplications

          List<Application> getApplications(SystemInformation system)

      Get list of applications from a team member.
      Parameters:
        `system` - system `SystemInformation` from which applications list will be got
      Returns:
        list of applications from the team node

    - #### getArchive

          InputStream getArchive(SystemInformation system,
                               String appId)
                                 throws IOException

      Get an application archive file from a team member. The application file is placed in a temporal directory.
      Parameters:
        `system` - system to get the applications from
        `appId` - the application id
      Returns:
        the archive remote input stream
      Throws:
        `IOException` - if errors occur while transferring the file

    - #### upload

          void upload(File appArchive,
                    String filename)

      Upload an application archive to a team member.
      Parameters:
        `appArchive` - the `File` to synchronize upload
        `filename` - name of the application archive

    - #### install

          void install(String appId)

      Install an uploaded application on a team member given the id.
      Parameters:
        `appId` - unique id of the application

    - #### uninstall

          void uninstall(String appId)

      Un-install an application on a team member given the id.
      Parameters:
        `appId` - unique id of the application

    - #### start

          void start(String appId)

      Start an application on a team member given the id.
      Parameters:
        `appId` - unique id of the application

    - #### stop

          void stop(String appId)

      Start an application on a team member given the id.
      Parameters:
        `appId` - unique id of the application

    - #### redeploy

          void redeploy(String appId)

      Re-deploy an existing application in a team.
      Parameters:
        `appId` - unique id of the application

Copyright © 2014. All Rights Reserved.